Subject: Re: Lite5200 and PCI1520

From: Wolfgang Denk <[email-masked]>
Date: Mon, 13 Dec 2004 22:13:25 +0100

In message <[email-masked]> you wrote:
>
> and write to CompactFlash devices behind a PCI1520 PCI bridge on a
> custom Lite5200 board.  I am admittedly new to this process within

Now what? Is it a custom board, or a Lite5200? 

> embedded devices and could use some direction.  We're using a recent
> 2.4.25 kernel from Denx, as well as UBOOT 1.1.1 and ELDK2.1.  

U-Boot 1.1.1 is old. You better use current code (top of CVS).

ELDK 2.1 is extremely old. You better use a current version (3.1).

> I can't access anything plugged into the sockets!  PCI1520 registers
> detect a card is inserted, but I can't read and write to flash cards
> from Linux.  I checked out PCMCIA Card Services from CVS, compiled and
> ran cardmgr and it gives a seg-fault, but indicates it is watching the

What's you PCMCIA config file looking like?

Best regards,

Wolfgang Denk

-- 
Software Engineering:  Embedded and Realtime Systems,  Embedded Linux
Phone: (+49)-8142-66989-10 Fax: (+49)-8142-66989-80 Email: [email-masked]
Perl already has an IDE.  It's called Unix.
                      -- Tom Christiansen in [email-masked]